%global pypi_name ndg-httpsclient
%global srcname ndg_httpsclient

Name:           python-%{pypi_name}
Version:        0.5.1
Release:        %mkrel 7
License:        BSD
Summary:        Provides enhanced HTTPS support for httplib and urllib2 using PyOpenSSL
Group:          Development/Python
URL:            https://pypi.org/project/ndg-httpsclient/
Source:         %{pypi_source}
BuildArch:      noarch

%global common_desc                                                           \
A HTTPS client implementation for                                             \
 * httplib (Python 2), http.client (Python 3) and                             \
 * urllib2 (Python 2) and urllib (Python 3)                                   \
...based on PyOpenSSL. PyOpenSSL provides a more fully featured SSL           \
implementation over the default provided with Python and importantly enables  \
full verification of the SSL peer using pyasn1.

%description
%{common_desc}

%package -n ndg-httpsclient
Summary:        Provides enhanced HTTPS support for httplib and urllib2 using PyOpenSSL
Group:          Development/Python
Requires:       python3-ndg-httpsclient = %{version}-%{release}

%description -n ndg-httpsclient
%{common_desc}

This package contains the ndg_httpclient helper script.

%package -n python3-%{pypi_name}
Summary:        Provides enhanced HTTPS support for httplib and urllib2 using PyOpenSSL
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Obsoletes:      python3-ndg_httpsclient < 0.5.1-7
%{?python_provide:%python_provide python3-ndg-httpsclient}
%{?python_provide:%python_provide python3-ndg_httpsclient}

%description -n python3-%{pypi_name}
%{common_desc}

%prep
%setup -q -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%py3_build

%install
%py3_install

%files -n python3-ndg-httpsclient
%{python3_sitelib}/*

%files -n ndg-httpsclient
%{_bindir}/ndg_httpclient


%changelog
* Mon Jan 29 2024 papoteur <papoteur> 0.5.1-7.mga10
+ Revision: 2035877
- rebuild for python 3.12

* Thu Mar 17 2022 kekepower <kekepower> 0.5.1-6.mga9
+ Revision: 1797247
- Bump rel to build on aarch64

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.5.1-5.mga9
+ Revision: 1783649
- rebuild for python-3.10

* Sat Jun 26 2021 wally <wally> 0.5.1-4.mga9
+ Revision: 1733949
- use versioned obsoletes
- clean old obsoletes

* Tue Mar 23 2021 guillomovitch <guillomovitch> 0.5.1-3.mga9
+ Revision: 1708408
- obsoletes python-ndg_httpsclient

* Sat Mar 20 2021 guillomovitch <guillomovitch> 0.5.1-2.mga9
+ Revision: 1705844
- rebuild for python 3.9

* Sun Mar 29 2020 wally <wally> 0.5.1-1.mga8
+ Revision: 1562195
- new version 0.5.1

* Sun Feb 16 2020 umeabot <umeabot> 0.4.2-7.mga8
+ Revision: 1536330
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 daviddavid <daviddavid> 0.4.2-6.mga8
+ Revision: 1453982
- rebuild for python3.8
- drop python2 support

* Sat Jan 12 2019 tmb <tmb> 0.4.2-5.mga7
+ Revision: 1355239
- rebuild for python 3.7

* Mon Jan 07 2019 shlomif <shlomif> 0.4.2-4.mga7
+ Revision: 1350415
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.4.2-3.mga7
+ Revision: 1289448
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.4.2-2.mga7
+ Revision: 1135514
- Rebuild for python 3.6

* Wed May 24 2017 mitya <mitya> 0.4.2-1.mga6
+ Revision: 1104379
- imported package python-ndg-httpsclient

